org.apache.solr.update.processor

## Class UpdateRequestProcessor

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessor

- Direct Known Subclasses:
    DistributedUpdateProcessor, FieldMutatingUpdateProcessor, RegexpBoostProcessor, TolerantUpdateProcessor, URLClassifyProcessor

      public abstract class UpdateRequestProcessor
      extends Object

  This is a good place for subclassed update handlers to process the document before it is indexed. You may wish to add/remove fields or check if the requested user is allowed to update the given document... Perhaps you continue adding an error message (without indexing the document)... perhaps you throw an error and halt indexing (remove anything already indexed??) By default, this just passes the request to the next processor in the chain.
  Since:
    solr 1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected UpdateRequestProcessor` | `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateRequestProcessor(UpdateRequestProcessor next)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finish()`
    `void` | `processAdd(AddUpdateCommand cmd)`
    `void` | `processCommit(CommitUpdateCommand cmd)`
    `void` | `processDelete(DeleteUpdateCommand cmd)`
    `void` | `processMergeIndexes(MergeIndexesCommand cmd)`
    `void` | `processRollback(RollbackUpdateCommand cmd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          protected final UpdateRequestProcessor next

  - ### Constructor Detail

    - #### UpdateRequestProcessor

          public UpdateRequestProcessor(UpdateRequestProcessor next)

  - ### Method Detail

    - #### processAdd

          public void processAdd(AddUpdateCommand cmd)
                          throws IOException

      Throws:
        `IOException`

    - #### processDelete

          public void processDelete(DeleteUpdateCommand cmd)
                             throws IOException

      Throws:
        `IOException`

    - #### processMergeIndexes

          public void processMergeIndexes(MergeIndexesCommand cmd)
                                   throws IOException

      Throws:
        `IOException`

    - #### processCommit

          public void processCommit(CommitUpdateCommand cmd)
                             throws IOException

      Throws:
        `IOException`

    - #### processRollback

          public void processRollback(RollbackUpdateCommand cmd)
                               throws IOException

      Throws:
        `IOException`
      Since:
        Solr 1.4

    - #### finish

          public void finish()
                      throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.